## webauth 1.1-0

=== Makefile ===
#############################################################################
# Makefile for building: webauth
# Generated by qmake (2.01a) (Qt 4.5.2) on: ?? ????. 4 00:43:56 2010
# Project:  webauth.pro
# Template: subdirs
# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile webauth.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-test-QtAuthorizationClient

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
test/QtAuthorizationClient//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test/QtAuthorizationClient/ || $(MKDIR) test/QtAuthorizationClient/ 
	cd test/QtAuthorizationClient/ && $(QMAKE) QtAuthorizationClient.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-test-QtAuthorizationClient-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test/QtAuthorizationClient/ || $(MKDIR) test/QtAuthorizationClient/ 
	cd test/QtAuthorizationClient/ && $(QMAKE) QtAuthorizationClient.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-test-QtAuthorizationClient: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE)
sub-test-QtAuthorizationClient-make_default: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) 
sub-test-QtAuthorizationClient-make_first: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) first
sub-test-QtAuthorizationClient-all: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) all
sub-test-QtAuthorizationClient-clean: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) clean
sub-test-QtAuthorizationClient-distclean: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test-QtAuthorizationClient-install_subtargets: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) install
sub-test-QtAuthorizationClient-uninstall_subtargets: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: webauth.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile webauth.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile webauth.pro

qmake_all: sub-src-qmake_all sub-test-QtAuthorizationClient-qmake_all FORCE

make_default: sub-src-make_default sub-test-QtAuthorizationClient-make_default FORCE
make_first: sub-src-make_first sub-test-QtAuthorizationClient-make_first FORCE
all: sub-src-all sub-test-QtAuthorizationClient-all FORCE
clean: sub-src-clean sub-test-QtAuthorizationClient-clean FORCE
distclean: sub-src-distclean sub-test-QtAuthorizationClient-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets sub-test-QtAuthorizationClient-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets sub-test-QtAuthorizationClient-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
