## webauth 1.0-1

=== debian/changelog ===
webauth (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- MySocials project team <maintainer@email.org>  Sun, 12 Sep 2010 23:16:19 +0400
