=== debian/control ===
Source: webauth
Section: tools
Priority: optional
Maintainer: MySocials project team <maemo-mysocials@cs.karelia.ru>
Uploaders: Sergey Zakharov <szaharov@cs.karelia.ru>, Aleksandr Lomov <lomov@cs.karelia.ru>, Andrey Bogachev <bogachev@cs.karelia.ru>, Ilia Burlak <burlak@cs.karelia.ru>, Aleksandr Borodin <aborod@cs.karelia.ru>, Kirill Kulakov <kulakov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.8.1
Homepage: 

Package: webauth
Architecture: any
Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1)
#	 libqt4-gui (>= 4.5.2), 
#	 libQtNetwork (>= 4.5.2), 
#	 libQtWebKit  (>= 4.5.2), 
#	 libQtDBus  (>= 4.5.2),
#	 libQtCore  (>= 4.5.2),
#	 libQtGui  (>= 4.5.2)
Description: Authorization of social network services. 
 A program for correct authorization implementation 
 of social network services. It based on browser core.


Package:   webauth-dbg
Section: devel
Architecture: any
Depends: webauth-dbg (= ${Source-Version})
Description: Authorization of social network services (debug). 
 A program for correct authorization implementation 
 of social network services. It based on browser core.
