## webauth 1.1-0

=== debian/changelog ===
webauth (1.1-0) unstable; urgency=low

    * debian/control: update bugtracker, remove depends.
    
    
 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Fri, 02 Nov 2010 18:29:02 +0400   

webauth (1.0-3) unstable; urgency=low

    * added authparams.c, authparams.h, class for parameters.

    * mainwindow.c, mainwindow.h: remove work with parameters, AuthParams class using.

 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Fri, 01 Nov 2010 13:40:02 +0400        

webauth (1.0-2) unstable; urgency=low

    * mainwindow.cpp, mainwindow.h, authdbusadapter.h, authdbusadapter.cpp: 
        Work logic changed, now window class load first and init dbus connection. 
        
 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Sat, 09 Oct 2010 20:01:02 +0400        
                
                
