=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_installexamples
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=webauth-dbg
 	dh_compress
 	dh_fixperms
 	dh_installdeb
