## webauth 1.1-1

=== debian/changelog ===
webauth (1.1-1) unstable; urgency=low

  * fix problem with double emit

 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Wed, 10 Nov 2010 15:49:19 +0300
