## webauth 1.1-2

=== debian/changelog ===
webauth (1.1-2) unstable; urgency=low

  * add support system proxy if not any proxy set

 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Wed, 17 Nov 2010 11:08:15 +0300
