=== debian/control ===
Source: webauth
Section: tools
Priority: optional
Maintainer: MySocials project team <maemo-mysocials@cs.karelia.ru>
Uploaders: Sergey Zakharov <szaharov@cs.karelia.ru>, Aleksandr Lomov <lomov@cs.karelia.ru>, Andrey Bogachev <bogachev@cs.karelia.ru>, Ilia Burlak <burlak@cs.karelia.ru>, Kirill Kulakov <kulakov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.8.1
Homepage: http://oss.fruct.org/wiki/Webauth
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=mysocials

Package: webauth
Architecture: any
Depends: libqt4-core, libqt4-gui, libqt4-webkit, libqt4-dbus
XSBC-Maemo-Display-Name: Authorization of social network services. 
Description: Authorization of social network services. 
 A program for correct authorization implementation of social network services. It based on browser core.


Package: webauth-dbg
Section: devel
Architecture: any
Depends: webauth-dbg (= ${Source-Version})
XSBC-Maemo-Display-Name: Debug symbols for webauth.
Description: Authorization of social network services (debug). 
 A program for correct authorization implementation of social network services. It based on browser core.
