## webauth 1.2-1

=== debian/changelog ===
webauth (1.2-1) natty; urgency=low

  * Add support to processing CAPTCHA requests
  * Add support to processing simple login

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Mon, 25 Apr 2011 12:56:14 +0400
