## webauth 1.2.0-2

=== debian/changelog ===
webauth (1.2.0-2) natty; urgency=low

  * Set three number version of package

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Tue, 26 Apr 2011 12:07:16 +0400
