## webauth 1.2.1-1

=== debian/changelog ===
webauth (1.2.1-1) natty; urgency=low

  * Set manual user agent for support Facebook
  * Add "shutdown webauth" signal to postinstall script for correct update

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Fri, 14 Oct 2011 09:36:57 +0400
