## webauth 1.2.1-2

=== debian/changelog ===
webauth (1.2.1-2) oneiric; urgency=low

  * Add shutdown signal listener to system bus

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Tue, 18 Oct 2011 13:16:50 +0400
