## webauth 1.2.2-1

=== debian/changelog ===
webauth (1.2.2-1) oneiric; urgency=low

  * Disable checks in post install script

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Tue, 25 Oct 2011 17:49:22 +0400
